[SeaMonkey, Linux] mochitest-plain-2: intermittent "test_bfcache.html | Test timed out"

RESOLVED WORKSFORME

Status

()

defect
--
minor
RESOLVED WORKSFORME
8 years ago
6 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Blocks 1 bug, {intermittent-failure})

Trunk
x86
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1296370887.1296375596.25592.gz
Linux comm-central-trunk debug test mochitests-2/5 on 2011/01/29 23:01:27
s: cb-seamonkey-linux-01
{
...
516 INFO TEST-PASS | /tests/dom/indexedDB/test/test_bfcache.html | set up database successfully - "go" should equal "go"
++DOMWINDOW == 46 (0xbc0dbac) [serial = 2362] [outer = 0xaaac620]
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x80004005: file /builds/slave/comm-cen-trunk-lnx-dbg/build/mozilla/content/base/src/nsContentUtils.cpp, line 2904
517 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_bfcache.html | Test timed out.
args: ['/builds/slave/test/build/bin/screentopng']
XScreenSaver state: On
XScreenSaver kind: Blanked
XScreenSaver idle timer activated 95 seconds ago
User input has been idle for 695 seconds
SCREENSHOT: data:image/png;base64,iVBORw0KG [...]
518 INFO TEST-END | /tests/dom/indexedDB/test/test_bfcache.html | finished in 325498ms
519 INFO TEST-START | /tests/dom/indexedDB/test/test_clear.html
++DOMWINDOW == 47 (0xaf184dc) [serial = 2363] [outer = 0x9fdaae8]
###!!! ASSERTION: Didn't have this database in our list!: 'Error', file /builds/slave/comm-cen-trunk-lnx-dbg/build/mozilla/dom/indexedDB/IndexedDatabaseManager.cpp, line 615
mozilla::dom::indexedDB::IndexedDatabaseManager::OnDatabaseClosed [dom/indexedDB/IndexedDatabaseManager.cpp:619]
...
###!!! ASSERTION: XPConnect is being called on a scope without a 'Components' property!  (stack and details follow): 'Error', file /builds/slave/comm-cen-trunk-lnx-dbg/build/mozilla/js/src/xpconnect/src/xpcwrappednativescope.cpp, line 781
DEBUG_CheckForComponentsInScope [js/src/xpconnect/src/xpcwrappednativescope.cpp:782]
...
JavaScript error: http://mochi.test:8888/tests/dom/indexedDB/test/bfcache_iframe2.html, line 16: req is not defined
...
520 INFO TEST-PASS | /tests/dom/indexedDB/test/test_clear.html | got first key - 1 should not equal undefined
}

1) Unlike bug 614474, iirc, this Linux failure is new and/or very rare.
2) The screenshot is useless because the next test has already started :-/
   I don't know whether this is an issue in this test or the mochitest harness.
(Reporter)

Comment 1

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1298431934.1298436330.1660.gz
Linux comm-central-trunk debug test mochitests-2/5 on 2011/02/22 19:32:14
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Updated

8 years ago
Depends on: 637101
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Removed [SeaMonkey, Linux] from the summary, as this is appearing on mozilla-inbound WinXP also.
Summary: [SeaMonkey, Linux] mochitest-plain-2: intermittent "test_bfcache.html | Test timed out" → mochitest-plain-2: intermittent "test_bfcache.html | Test timed out"
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Updated

8 years ago
OS: Linux → All
(Reporter)

Comment 17

8 years ago
(In reply to Jonathan Kew (:jfkthame) from comment #10)
> Removed [SeaMonkey, Linux] from the summary, as this is appearing on
> mozilla-inbound WinXP also.

All these "Firefox" reports are "unrelated" to this (SeaMonkey, Linux) bug.
I guess these timeouts are just bug 614474 (now) happening on WinXP too (for some reason).
(Except comment 7, they are all debug builds.)

Nontheless, I would be happy if this test could eventually be fixed to pass everywhere/everytime!


(In reply to TinderboxPushlog Robot from comment #13)
> https://tbpl.mozilla.org/php/getParsedLog.php?id=6857192&tree=Try
> Rev3 WINNT 5.1 try debug test mochitests-2/5 on 2011-10-14 10:41:00

{
JavaScript error: http://mochi.test:8888/tests/dom/indexedDB/test/bfcache_iframe2.html, line 16: attempt to run compile-and-go script on a cleared scope
}
OS: All → Linux
Summary: mochitest-plain-2: intermittent "test_bfcache.html | Test timed out" → [SeaMonkey, Linux] mochitest-plain-2: intermittent "test_bfcache.html | Test timed out"
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Oops, sorry. Please ignore comment #23.
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Whiteboard: [orange]
Comment hidden (Legacy TBPL/Treeherder Robot)
Resolving WFM keyword:intermittent-failure bugs last modified >3 months ago, whose whiteboard contains none of:
{random,disabled,marked,fuzzy,todo,fails,failing,annotated,time-bomb,leave open}

There will inevitably be some false positives; for that (and the bugspam) I apologise. Filter on orangewfm.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.